Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class LoadDomainHandler

    java.lang.Object
      ix.ip2.ItemHandler
          ix.ip2.ActivityHandler
              ix.ip2.LoadDomainHandler

    public class LoadDomainHandler

extends ActivityHandler

Generates a `HandlerAction` that loads a new domain and one that inclides a domain in the agent's existing domain.

Nested Class Summary
`(package private) class` | `LoadDomainHandler.AbstractLoadDomainAction`
`(package private) class` | `LoadDomainHandler.IncludeDomainAction`
`(package private) class` | `LoadDomainHandler.NewDomainAction`

Field Summary
`protected Ip2` | `ip2`
`static Symbol` | `S_INCLUDE_DOMAIN`
`static Symbol` | `S_LOAD_DOMAIN`
`static Symbol` | `S_NEW_DOMAIN`

Fields inherited from class ix.ip2.ItemHandler
`actionDescription`

Constructor Summary
`LoadDomainHandler(Ip2 ip2)`

Method Summary
`void` | `addHandlerActions(AgendaItem item)` Called to add any `HandlerAction`s that this handler regards as appropriate for the specified AgendaItem.
`boolean` | `appliesTo(AgendaItem item)` Gives this handler a say in whether it should add actions to an item.
`java.util.List` | `getSyntaxList()` Returns a list of patterns representing the item pattern syntaxes this handler can process, or null if no particular syntax is required.
`protected java.lang.Object` | `getVerb(LList pattern)`
`void` | `handle(AgendaItem item)` Called to perform the action implemented by this handler, if the selected HandlerAction so desires.

Methods inherited from class ix.ip2.ActivityHandler
`toString`

Methods inherited from class ix.ip2.ItemHandler
`getActionDescription, isAutomatic, makeHandler, reviseHandlerActions`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### S_NEW_DOMAIN

    public static final Symbol S_NEW_DOMAIN

### S_INCLUDE_DOMAIN

    public static final Symbol S_INCLUDE_DOMAIN

### S_LOAD_DOMAIN

    public static final Symbol S_LOAD_DOMAIN

### ip2

    protected Ip2 ip2

Constructor Detail

### LoadDomainHandler

    public LoadDomainHandler(Ip2 ip2)

Method Detail

### getSyntaxList

    public java.util.List getSyntaxList()

  Description copied from class: `ItemHandler`
  Returns a list of patterns representing the item pattern syntaxes this handler can process, or null if no particular syntax is required. Note that this information is not automatically used when determining whether this handler should add actions to an agenda item. Instead, this handler's contribution to that decision is supplied by the `ItemHandler.appliesTo(AgendaItem)` method.

  Overrides:
    `getSyntaxList` in class `ItemHandler`
  See Also:
    `AgendaItem.getPattern()`

### appliesTo

    public boolean appliesTo(AgendaItem item)

  Description copied from class: `ItemHandler`
  Gives this handler a say in whether it should add actions to an item. If this method returns false for an AgendaItem, or the item's wantsActionsFrom method returns false for this handler, this handler will not be asked to add actions to that item.

  Overrides:
    `appliesTo` in class `ItemHandler`
  See Also:
    `AgendaItem.wantsActionsFrom(ItemHandler handler)`

### addHandlerActions

    public void addHandlerActions(AgendaItem item)

  Description copied from class: `ItemHandler`
  Called to add any `HandlerAction`s that this handler regards as appropriate for the specified AgendaItem.

  This method is called only if both this handler's `ItemHandler.appliesTo(AgendaItem)` and the specified item's `AgendaItem.wantsActionsFrom(ItemHandler)` methods return true.

  The method provided by the ItemHandler class just adds an action that calls this handler's `ItemHandler.handle(AgendaItem)` method. This allows suitably simple handlers to avoid working directly with HandlerActions.

  Note that actions are added by calling an item's `AgendaItem.addAction(HandlerAction)` method.

  Overrides:
    `addHandlerActions` in class `ItemHandler`

### getVerb

    protected java.lang.Object getVerb(LList pattern)

### handle

    public void handle(AgendaItem item)

  Description copied from class: `ItemHandler`
  Called to perform the action implemented by this handler, if the selected HandlerAction so desires.

  Overrides:
    `handle` in class `ItemHandler`
  See Also:
    `ItemHandler.addHandlerActions(AgendaItem)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD